Name:           python-sure
Version:        1.1.7
Release:        2%{?dist}
Summary:        Assertion toolbox for python

License:        GPLv3+
URL:            https://github.com/gabrielfalcao/sure
Source0:        %{url}/archive/%{version}/sure-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose

%global common_description %{expand:
A utility belt for automated testing in Python (inspired by should.js).}

%description %{common_description}


%package -n python2-sure
Summary:        %{summary}

%{?python_provide:%python_provide python2-sure}

%description -n python2-sure %{common_description}


%prep
%autosetup -n sure-%{version}
rm -rvf *.egg-info
# Remove unwanted shebangs
find sure -type f ! -perm /0111 \
    -exec gawk '/^#!/ { print FILENAME }; { nextfile }' '{}' '+' |
  xargs -r -t sed -r -i '1{/^#!/d}'


%build
%py2_build


%install
%py2_install


%check
PYTHONPATH='%{buildroot}%{python2_sitelib}' \
    %{__python2} -m nose -s --verbosity=2 tests


%files -n python2-sure
%license COPYING
%doc OLD_API.md
%doc README.md
%doc TODO.md
%{python2_sitelib}/sure
%{python2_sitelib}/sure-%{version}-py%{python2_version}.egg-info


%changelog
* Wed Sep 29 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.7-2
- General packaging improvements

* Mon Feb 18 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1.7-1
- Update to 1.1.7.
- License change from MIT to GPLv3.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 05 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.0.6-1
- Update to 1.0.6.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.10.3-2
- python-devel should be python2-devel
- URL now points to the real homepage of the project

* Fri Jun 22 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.10.3-1
- Initial package.
